package com.realnet.taxi_rental.Services;
import java.util.*;
import com.realnet.taxi_rental.Repository.Custom_featureRepository;
import com.realnet.taxi_rental.Entity.Custom_feature;

import com.realnet.taxi_rental.Entity.Custom_feature_ListFilter1;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
	import org.springframework.stereotype.Service;

@Service
 public class Custom_feature_ListFilter1Service {
@Autowired
private Custom_featureRepository Repository;




 public   List<Custom_feature_ListFilter1>   getlistbuilder() {
	List<Custom_feature> list= Repository.findAll();
		ArrayList<Custom_feature_ListFilter1> l = new ArrayList<>();
		for (Custom_feature data : list) {
{	
Custom_feature_ListFilter1 dummy = new Custom_feature_ListFilter1();
			dummy.setId(data.getId());
  dummy.setName(data.getName());
  dummy.setDescription(data.getDescription());
	l.add(dummy);
} 
} 		
return l;}



 public   List<Custom_feature_ListFilter1>   getlistbuilderparam( ) {
	List<Custom_feature> list= Repository.findAll();
		ArrayList<Custom_feature_ListFilter1> l = new ArrayList<>();
		for (Custom_feature data : list) {
{	
Custom_feature_ListFilter1 dummy = new Custom_feature_ListFilter1();
			dummy.setId(data.getId());
  dummy.setName(data.getName());
  dummy.setDescription(data.getDescription());
	l.add(dummy);
} 
} 		
return l;}
}